Subject: Re: bug#68765: 30.0.50; Adding window-tool-bar package.

From: Stefan Monnier <[email-masked]>
Date: Tue, 21 May 2024 09:40:01 -0400

>> Regarding that point, I didn't follow the thread in detail, but why is
>> 29.1 the minimum version?  package-lint indicates that it should be
>> compatible with 27.1, but it might be missing something.
> Only because that was the version I used regularly when I started writing
> this.  I plan to extend support to earlier Emacs versions in a future
> version of this package.  I'm just waiting on squaring away this first step
> before working on any updates. :)

I think `Package-Requires:` and other such version dependencies should
state "I know it won't work" or "I have no intention to fix bugs" for
versions that do not satisfy the dependencies.
Not "I currently don't know if it works or not".

You can separately state which version(s) you recommend and/or have tested.

        Stefan